#include "Adafruit_FreeTouch.h"

#define PIN_QT1 2
#define PIN_QT2 4
#define PIN_QT3 15

#define PIN_LED 31

#define N_SAMP 32
#define N_QT 3

char qt_pin[N_QT] = {PIN_QT1, PIN_QT2, PIN_QT3};

Adafruit_FreeTouch* qt[N_QT];

bool error = false;

void setup() {
  int qt_value;
  
  pinMode(PIN_LED, OUTPUT);
  digitalWrite(PIN_LED, HIGH);

  SerialUSB.begin(0);

  for (int i = 0; i < N_QT; i++) {
    qt[i] = new Adafruit_FreeTouch(qt_pin[i], OVERSAMPLE_32, RESISTOR_20K, FREQ_MODE_NONE);

    if (!qt[i]->begin()) {
      error = true;
      return;
    }
  }
}

void loop() {
  if (error) {
    return;
  }

  for (int i = 0; i < N_QT; i++) {
    int32_t qt_diff = 0;

    for (int j = 0; j < N_SAMP; j++) {
      int qt_value = qt[i]->measure();
      qt_diff += qt_value;
    }

    SerialUSB.print(qt_diff);
    SerialUSB.print(" ");
  }
  SerialUSB.println("");

  delay(10);
}
